<?php
require_once ("VLSIuser.php");
function hlavicka ($user){?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1250" />
        <title>Editing news</title>
        
    <script type="text/javascript">
function kontrola_formulare()
{
 var text_nazev = self.document.forms.alledtnw.nazev;

 if (text_nazev.value.length==0)
 {
 text_nazev.focus();
 alert("Musíte vyplnit Název.");
 return false;
 }
 if (text_nazev.value.length>320)
 {
 text_nazev.focus();
 alert("Název nesmí být delší jak 320 znaků.");
 return false;
 }

}
</script>
        
    </head>
    <body style="padding:20px;">
<h1>Editing news</h1>
<?php echo "Jste Přihlášen jako: <b>".$user['fullname']."</b><br />";?>

<br /><br />

<?php }

//kontrola práva pro editaci všech
$adm=false;
foreach($admin as $hodnota){
if ($user['username']==$hodnota){$adm=true;}
}
if (!$adm){die("Nejste admin.</body></html>");}
//************************************************
//************************************************
//************************************************


if (!isset($_GET['id'])){
  hlavicka($user);
$dotaz="SELECT id,nazev,zadal FROM board ORDER BY zadal,id DESC";
$dotaz2="SELECT COUNT(*) FROM board";
if (isset($_GET['row'])){$row=$_GET['row'];} else{$row=1;}

//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";
 
// spocteni radku k vypsani
$res=$db->query($dotaz2);
//kontrola zda sme dostali z databaze vysledek a ulozeni do $pocetradku
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Nastala chyba. Stránka nebude správně zobrazena");
	} else {
      $res=pg_fetch_row($res);
      $pocetradku=$res[0];
}
// kontrola yda je row cislo
if (is_numeric($row)){
//pretzpovani na int, kdyby cislo bylo jineho tvaru
    $row=(int)$row;
//spocteni poctu listu
     $pocetlistu=$pocetradku/pokolika;
     $pocetlistu=ceil($pocetlistu);
//kontrola zda row je v mezich poctu listu
     if ($row<1||$row>$pocetlistu){$row=1;}
}else{$row=1;}

$dotaz.=" LIMIT ".pokolika." OFFSET ".(($row-1)*pokolika);
 
$res=$db->query ($dotaz);
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Nastala chyba nebo neexistuje žádný záznam. Stránka nebude správně zobrazena");
	} else {
// vypsani rolovani projektu
rolovani($row,$pocetlistu,"alledtnw");
echo("<br /><ul style=\"border: 1px solid #ffd291;background-color:#fff8ce;color:black;\">");
//vypisovani po jednom projektu
$lichyvypis=true;
$zzadav="";
while($data = pg_fetch_assoc($res)){
if($zzadav!=$data['zadal']){$zzadav=$data['zadal'];if($lichyvypis) {$lichyvypis=false;$barva="#ffefd7";}else{$lichyvypis=true;$barva="#fff8ce";} }
echo "<li style=\"background-color:$barva;color:black;\">";
echo " ".$data['zadal']." <a href=\"alledtnw.php?id=".$data['id']."\">".htmlspecialchars($data['nazev'])."</a>";
echo "</li>";
}
echo("</ul><br /><br />");
}
$db->close();
}
else
//*************************************************************
//*************************************************************
//vypis formulare
{
  session_start();
  $jmsess="ulozALLEDTNW";
$_SESSION[$jmsess]=true;
hlavicka($user);
$id=$_GET['id'];
// kontrola zda je id cislo
if (is_numeric($id)){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $id=(int)$id;
}else{unseting($jmsess);die("Doslo k chybě nebo pokusu o utok</body></html>");}

$dotaz="SELECT * FROM board WHERE (id=".$id.")";

//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){unseting($jmsess);die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";
 
$res=$db->query ($dotaz);
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Nastala chyba nebo neexistuje žádný záznam. Stránka nebude správně zobrazena");unseting($jmsess);
	} else {
$data = pg_fetch_assoc($res);
//*******************************************************
//*******************************************************
//*******************************************************
//*******************************************************
$month=Array(1=> "ledna", "února", "března", "dubna", "května", "června", "července", "srpna", "září", "října", "listopadu", "prosince");
$id=$data['id'];
$dt=$data['to_date'];
$dt=explode("-",$dt);

//zobrazeni navodu
echo "<br /><p style=\"width:400px;\">Položky označené červenou hvězdičkou musí být vyplněny. Datum nesmí být staré. Nejbližší datum které bude akceptováno je zítřek. Můžete do textu zadávat odkazy.Budou automaticky rozpoznány. Tagy nebudou interpretovány. </p>";

//zobrazeni chyb
if(isset($_GET['chybinazev']) && $_GET['chybinazev']==true){echo "<br /><b><font color=\"red\">Musíte vyplnít políčko název</font></b>";}
if(isset($_GET['nazevchyba'])&& $_GET['nazevchyba']==true){echo "<br /><b><font color=\"red\">Délka názvu přesahuje 320 znaků!</font></b>"; }
if(isset($_GET['datumchyba'])&& $_GET['datumchyba']==true){echo "<br /><b><font color=\"red\">Datum musí být mladší než je dnešní!</font></b>"; }
//inicializace formulare

//inicializace formulare
if (isset($_GET['nazev'])){
  if ($slashes==1){$nazev=htmlspecialchars(stripslashes($_GET['nazev']));}else
  {$nazev=htmlspecialchars($_GET['nazev']);}
} else{$nazev=htmlspecialchars($data['nazev']);}

if (isset($_GET['popis'])){
  if ($slashes==1){$popis=htmlspecialchars(stripslashes($_GET['popis']));}else
  {$popis=htmlspecialchars($_GET['popis']);}
} else{$popis=htmlspecialchars($data['body']);}

if (isset($_GET['to_day']) && (int)$_GET['to_day']>0 && (int)$_GET['to_day']<=31 ){
  $to_day=(int)$_GET['to_day'];
} else{$to_day=$dt[2];}

if (isset($_GET['to_month']) && (int)$_GET['to_month']>0 && (int)$_GET['to_month']<=12 ){
  $to_month=(int)$_GET['to_month'];
} else{$to_month=$dt[1];}

if (isset($_GET['to_year']) && ((int)$_GET['to_year']>=(int)date("Y")) && ((int)$_GET['to_year']<=(int)date("Y")+5) ){
  $to_year=(int)$_GET['to_year'];
} else{$to_year=$dt[0];}

//pokud je datum starší dosadí se zítřejší
if(Time()>MkTime(0,0,0,$to_month,$to_day,$to_year)) {
  $to_date = Date("Y-m-d", MkTime(0,0,0,date("m"),(date("d")+1),date("Y")));
  $to_date=explode("-",$to_date);
  $to_day=$to_date[2];
  $to_month=$to_date[1];
  $to_year=$to_date[0];
}
?>

<br /><a onclick="return confirm('Opravdu smazat záznam?')" href="allupdnw.php?del=1&amp;id=<?php echo $id."&amp;".SID;?>">Smazat tuto novinku!</a>
<form  name="alledtnw" onsubmit="return kontrola_formulare();" action="allupdnw.php?<?php echo(SID); ?>" method="post">
<input type="hidden" name="id" value="<?php echo $id;?>" />
<b>Název <font color="red">*</font></b><br /><textarea name="nazev" cols="40" rows="2"><?php echo $nazev;?></textarea><br />
<b>Popis </b><br /><textarea name="popis" cols="40" rows="4"><?php echo $popis;?></textarea><br /><br />
Platí do: <select name="to_day" size="1">
	<?
	//do - den
	for($i=1;$i<=31;$i++):
		echo "<option value=\"".$i."\"";
		if($to_day==$i) echo " selected=\"selected\"";
		echo ">" . $i . "</option>\n";
	endfor;
	?>
	</select>
	.
	<select name="to_month" size="1">
	<?
	//do - měsíc
	for($i=1;$i<=12;$i++):
		echo "<option value=\"".$i."\"";
		if($to_month==$i) echo " selected=\"selected\"";
		echo ">" . $month[$i] . "</option>\n";
	endfor;
	?>
	</select>

	<select name="to_year" size="1">
	<?
	//do - rok
	for($i=date("Y");$i<=(date("Y")+5);$i++):
		echo "<option value=\"".$i."\"";
		if($to_year==$i) echo " selected=\"selected\"";
		echo ">" . $i . "</option>\n";
	endfor;
	?>
	</select>
<br />  <br />
	<input type="submit" name="odeslane" value="Odeslat" /> <input type="reset" value="Reset" /></form>

<?php
 }
$db->close();
}
?>



</body>
</html>

